Index: chan_mgcp.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_mgcp.c,v
retrieving revision 1.79.2.2
diff -u -5 -r1.79.2.2 chan_mgcp.c
--- chan_mgcp.c	6 Oct 2004 22:26:10 -0000	1.79.2.2
+++ chan_mgcp.c	7 Oct 2004 11:39:03 -0000
@@ -1783,11 +1783,11 @@
 }
 
 
 static int respprep(struct mgcp_request *resp, struct mgcp_endpoint *p, char *msg, struct mgcp_request *req, char *msgrest)
 {
-	memset(resp, 0, sizeof(*resp));
+	memset(resp, 0, sizeof(struct mgcp_request));
 	init_resp(resp, msg, req, msgrest);
 	return 0;
 }
 
 static int reqprep(struct mgcp_request *req, struct mgcp_endpoint *p, char *verb)
@@ -3138,22 +3138,22 @@
 	int len;
 	int result;
 	int ident;
 	char iabuf[INET_ADDRSTRLEN];
 	len = sizeof(sin);
-	memset(&req, 0, sizeof(req));
+	memset(&req, 0, sizeof(struct mgcp_request));
 	res = recvfrom(mgcpsock, req.data, sizeof(req.data) - 1, 0, (struct sockaddr *)&sin, &len);
 	if (res < 0) {
 		if (errno != ECONNREFUSED)
 			ast_log(LOG_WARNING, "Recv error: %s\n", strerror(errno));
 		return 1;
 	}
 	req.data[res] = '\0';
 	req.len = res;
 	if (mgcpdebug) {
-		ast_verbose("MGCP read: \n%s\nfrom %s:%d", req.data, ast_inet_ntoa(iabuf, sizeof(iabuf), sin.sin_addr), ntohs(sin.sin_port));
-    }
+		ast_verbose("MGCP read: \n%s\nfrom %s:%d\n", req.data, ast_inet_ntoa(iabuf, sizeof(iabuf), sin.sin_addr), ntohs(sin.sin_port));
+	}
 	parse(&req);
 	if (req.headers < 1) {
 		/* Must have at least one header */
 		return 1;
 	}
